SPARSE(1)

NAME
sparse - manual page for sparse (LocARNA 1.9.0)

DESCRIPTION
sparse - a tool for pairwise fast alignment of RNAs

USAGE: ../../src/sparse [-h,--help] [--galaxy-xml] [-V,--version] [-v,--verbose] [-q,--quiet] -m,--match=<score> -M,--mismatch=<score> --ribosum-file=<f> --use-ribosum=<bool> -i,--indel=<score> -i,--indel-loop=<score> --indel-opening=<score> --indel-opening-loop=<score> -s,--struct-weight=<score> [-e,--exp-prob=<prob>] -t,--tau=<factor> -w,--width=<columns> [--clustal=<file>] [--stockholm=<file>] [--pp=<file>] [--alifold-consensus-dp] --consensus-structure=<type> [--write-structure] [--special-gap-symbols] [--stopwatch] -p,--min-prob=<prob> --max-bps-length-ratio=<factor> --max-uil-length-ratio=<factor> --max-bpil-length-ratio=<factor> -D,--max-diff-am=<diff> -d,--max-diff=<diff> --max-diff-at-am=<diff> --max-diff-aln=<aln file> --max-diff-pw-aln=<alignment> [--max-diff-relax] -a,--min-am-prob=<amprob> -b,--min-bm-prob=<bmprob> --prob-unpaired-in-loop-threshold=<threshold> --prob-basepair-in-loop-threshold=<threshold> [--mea-alignment] [--probcons-file=<file>] --match-prob-method=<int> --temperature=<int> --pf-struct-weight=<weight> [--mea-gapcost] --mea-alpha=<weight> --mea-beta=<weight> --mea-gamma=<weight> --probability-scale=<scale> [--write-match-probs=<file>] [--read-match-probs=<file>] [--write-arcmatch-scores=<file>] [--read-arcmatch-scores=<file>] [--read-arcmatch-probs=<file>] [--noLP] --maxBPspan=<span> [<input1>] [<input2>]

OPTIONS
cmd_only:

-h,--help

    Help

--galaxy-xml

    Galaxy xml wrapper

-V,--version

    Version info

-v,--verbose

    Verbose

-q,--quiet

    Quiet

  Scoring_parameters:

-m,--match=<score>(50)

    Match score

-M,--mismatch=<score>(0)

    Mismatch score

--ribosum-file=<f>(RIBOSUM85_60)

    Ribosum file

--use-ribosum=<bool>(true)

    Use ribosum scores

-i,--indel=<score>(-350)

    Indel score

-i,--indel-loop=<score>(-350)

    Indel score for loops

--indel-opening=<score>(-600)

    Indel opening score

--indel-opening-loop=<score>(-900)

    Indel opening score for loops

-s,--struct-weight=<score>(200)

    Maximal weight of 1/2 arc match

-e,--exp-prob=<prob>

    Expected probability

-t,--tau=<factor>(100)

    Tau factor in percent

  Controlling_output:

-w,--width=<columns>(120)

    Output width

--clustal=<file>

    Clustal output

--stockholm=<file>

    Stockholm output

--pp=<file>

    PP output

--alifold-consensus-dp

    Compute consensus dot plot by alifold

--consensus-structure=<type>(alifold)

    Type of consensus structures written to screen and stockholm output [alifold|mea|none]

--write-structure

    Write guidance structure in output

--special-gap-symbols

    Special distinct gap symbols for loop gaps or gaps caused by sparsification

--stopwatch

    Print run time information.

  Heuristics for speed accuracy trade off:

-p,--min-prob=<prob>(0.0005)

    Minimal probability

--max-bps-length-ratio=<factor>(1.3)

    Maximal ratio of #base pairs divided by sequence length (default: 1.3)

--max-uil-length-ratio=<factor>(0.0)

    Maximal ratio of #unpaired bases in loops divided by sequence length (def: no effect)

--max-bpil-length-ratio=<factor>(0.0)

    Maximal ratio of #base pairs in loops divided by loop length (def: no effect)

-D,--max-diff-am=<diff>(30)

    Maximal difference for sizes of matched arcs

-d,--max-diff=<diff>(-1)

    Maximal difference for alignment traces

--max-diff-at-am=<diff>(-1)

    Maximal difference for alignment traces, only at arc match positions

--max-diff-aln=<aln file>()

    Maximal difference relative to given alignment (file in clustalw format))

--max-diff-pw-aln=<alignment>()

    Maximal difference relative to given alignment (string, delim=AMPERSA\ ND)

--max-diff-relax

    Relax deviation constraints in multiple aligmnent

-a,--min-am-prob=<amprob>(0.0005)

    Minimal Arc-match probability

-b,--min-bm-prob=<bmprob>(0.0005)

    Minimal Base-match probability

--prob-unpaired-in-loop-threshold=<threshold>(0.00005)

    Threshold for prob_unpaired_in_loop

--prob-basepair-in-loop-threshold=<threshold>(0.0001)

    Threshold for prob_basepair_in_loop

  MEA_score controlling options:

--mea-alignment

    Do MEA alignment

--probcons-file=<file>

    Probcons parameter file

--match-prob-method=<int>(0)

    Method for computation of match probs

--temperature=<int>(150)

    Temperature for PF-computation

--pf-struct-weight=<weight>(200)

    Structure weight in PF-computation

--mea-gapcost

    Use gap cost in mea alignment

--mea-alpha=<weight>(0)

    Weight alpha for MEA

--mea-beta=<weight>(200)

    Weight beta for MEA

--mea-gamma=<weight>(100)

    Weight gamma for MEA

--probability-scale=<scale>(10000)

    Scale for probabilities/resolution of mea score

--write-match-probs=<file>

    Write match probs to file (don't align!)

--read-match-probs=<file>

    Read match probabilities from file

--write-arcmatch-scores=<file>

    Write arcmatch scores (don't align!)

--read-arcmatch-scores=<file>

    Read arcmatch scores

--read-arcmatch-probs=<file>

    Read arcmatch probabilities (weight by mea_beta/100)

  Constraints:

--noLP

    No lonely pairs

--maxBPspan=<span>(-1)

    Limit maximum base pair span (default=off)

  Input_files RNA sequences and pair probabilities:

    <input1>

    Input file 1

    <input2>

    Input file 2

REPORTING BUGS
Report bugs to <miladim (at) informatik.uni-freiburg.de>.